std::packaged_task::~packaged_task(3)

NAME
std::packaged_task::~packaged_task - std::packaged_task::~packaged_task

Synopsis
   ~packaged_task();
   Abandons the shared state and destroys the stored task object.
   As with std::promise::~promise, if the shared state is abandoned before it was made
   ready, an std::future_error exception is stored with the error code
   std::future_errc::broken_promise).

Parameters
   (none)

Example
    This section is incomplete
    Reason: no example